Bug 1471760 - [abrt] blivet-gui-runtime: lvm_lvcreate(): blivetgui.py:219:_reraise_exception:gi.overrides.BlockDev.LVMError: Process reported exit code 3: --size may not be zero.
[abrt] blivet-gui-runtime: lvm_lvcreate(): blivetgui.py:219:_reraise_exceptio...
Status: NEW
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7b3178cabdc99573161aa9c2330...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 08:09 EDT by nasi
Modified: 2018-05-03 04:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.83 KB, text/plain)
2017-07-17 08:09 EDT, nasi
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-17 08:09 EDT, nasi
no flags Details
File: cpuinfo (1.58 KB, text/plain)
2017-07-17 08:09 EDT, nasi
no flags Details
File: environ (1.57 KB, text/plain)
2017-07-17 08:09 EDT, nasi
no flags Details
File: mountinfo (3.72 KB, text/plain)
2017-07-17 08:09 EDT, nasi
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-17 08:09 EDT, nasi
no flags Details
File: open_fds (1.22 KB, text/plain)
2017-07-17 08:09 EDT, nasi
no flags Details
Blivet Log (181.79 KB, text/plain)
2017-07-17 13:49 EDT, nasi
no flags Details
Blivet Program Log (15.33 KB, text/plain)
2017-07-17 13:49 EDT, nasi
no flags Details

  None (edit)
Description nasi 2017-07-17 08:09:31 EDT
Description of problem:
Tried to create new LVM Volume (ext4) in an encrypted LVM which had some free space left and already contains home, swap and root partition for fedora26

Aborted with exit code 3: --size may not be zero

Version-Release number of selected component:
blivet-gui-runtime-2.1.5-2.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/blivet-gui
crash_function: lvm_lvcreate
exception_type: GLib.GError
executable:     /usr/bin/blivet-gui
kernel:         4.11.9-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
#1 lvm_lvcreate in /usr/lib64/python3.6/site-packages/gi/overrides/BlockDev.py:504
#2 wrapped in /usr/lib64/python3.6/site-packages/gi/overrides/BlockDev.py:798
Comment 1 nasi 2017-07-17 08:09:36 EDT
Created attachment 1299825 [details]
File: backtrace
Comment 2 nasi 2017-07-17 08:09:38 EDT
Created attachment 1299826 [details]
File: cgroup
Comment 3 nasi 2017-07-17 08:09:39 EDT
Created attachment 1299827 [details]
File: cpuinfo
Comment 4 nasi 2017-07-17 08:09:40 EDT
Created attachment 1299828 [details]
File: environ
Comment 5 nasi 2017-07-17 08:09:42 EDT
Created attachment 1299829 [details]
File: mountinfo
Comment 6 nasi 2017-07-17 08:09:43 EDT
Created attachment 1299830 [details]
File: namespaces
Comment 7 nasi 2017-07-17 08:09:44 EDT
Created attachment 1299831 [details]
File: open_fds
Comment 8 Vojtech Trefny 2017-07-17 08:49:49 EDT
Hi, can you please upload here logs from /var/log/blivet-gui ("blivet.log" and "program.log")? Thank you.
Comment 9 nasi 2017-07-17 13:49 EDT
Created attachment 1299998 [details]
Blivet Log
Comment 10 nasi 2017-07-17 13:49 EDT
Created attachment 1299999 [details]
Blivet Program Log
Comment 11 nasi 2017-07-17 13:51:03 EDT
(In reply to Vojtech Trefny from comment #8)
> Hi, can you please upload here logs from /var/log/blivet-gui ("blivet.log"
> and "program.log")? Thank you.

Sure. I've uploaded them. 
BTW: name of the partition I tried to create was "fedora-cloud".
Comment 12 Vojtech Trefny 2017-07-25 06:16:26 EDT
Thank you for the logs. I'm reassigning this to blivet, because it reports wrong free space in the VG -- adding the LV fails because there is actually no free space in the VG but blivet reports 271.56 GiB free space.
Comment 14 Fedora End Of Life 2018-05-03 04:46:23 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.